---
references:
- id: BahmaniAnchored2017
  author:
    - family: Bahmani
      given: Sohail
    - family: Romberg
      given: Justin
  citation-key: BahmaniAnchored2017
  container-title: arXiv:1702.05327 [cs, math, stat]
  issued:
    - year: 2017
      month: 2
      day: 17
  title: 'Anchored Regression: Solving Random Convex Equations via Convex Programming'
  type: article-journal
  URL: http://arxiv.org/abs/1702.05327

- id: ChoromanskiUnreasonable2017
  author:
    - family: Choromanski
      given: Krzysztof
    - family: Rowland
      given: Mark
    - family: Weller
      given: Adrian
  citation-key: ChoromanskiUnreasonable2017
  container-title: arXiv:1703.00864 [stat]
  issued:
    - year: 2017
      month: 3
      day: 2
  title: The Unreasonable Effectiveness of Random Orthogonal Embeddings
  type: article-journal
  URL: http://arxiv.org/abs/1703.00864

- id: CoverGeometrical1965
  author:
    - family: Cover
      given: T. M.
  citation-key: CoverGeometrical1965
  container-title: IEEE Transactions on Electronic Computers
  DOI: 10.1109/PGEC.1965.264137
  ISSN: 0367-7508
  issue: '3'
  issued:
    - year: 1965
      month: 6
  page: 326-334
  title: >-
    Geometrical and Statistical Properties of Systems of Linear Inequalities
    with Applications in Pattern Recognition
  type: article-journal
  volume: EC-14

- id: DezfouliScalable2015
  accessed:
    - year: 2018
      month: 3
      day: 13
  author:
    - family: Dezfouli
      given: Amir
    - family: Bonilla
      given: Edwin V.
  citation-key: DezfouliScalable2015
  collection-title: NIPS'15
  container-title: Advances in Neural Information Processing Systems 28
  event-place: Cambridge, MA, USA
  issued:
    - year: 2015
  page: 1414–1422
  publisher: MIT Press
  publisher-place: Cambridge, MA, USA
  title: Scalable Inference for Gaussian Process Models with Black-box Likelihoods
  type: paper-conference
  URL: http://dl.acm.org/citation.cfm?id=2969239.2969397

- id: DhillonNew2013
  author:
    - family: Dhillon
      given: Paramveer
    - family: Lu
      given: Yichao
    - family: Foster
      given: Dean P.
    - family: Ungar
      given: Lyle
  citation-key: DhillonNew2013
  container-title: Advances in Neural Information Processing Systems
  issued:
    - year: 2013
  page: 360–368
  publisher: Curran Associates, Inc.
  title: New subsampling algorithms for fast least squares regression
  type: paper-conference
  URL: >-
    http://papers.nips.cc/paper/5105-new-subsampling-algorithms-for-fast-least-squares-regression

- id: GilbertUnderstanding2017
  accessed:
    - year: 2018
      month: 2
      day: 4
  author:
    - family: Gilbert
      given: Anna C.
    - family: Zhang
      given: Yi
    - family: Lee
      given: Kibok
    - family: Zhang
      given: Yuting
    - family: Lee
      given: Honglak
  citation-key: GilbertUnderstanding2017
  container-title: arXiv:1705.08664 [cs, stat]
  issued:
    - year: 2017
      month: 5
      day: 24
  title: Towards Understanding the Invertibility of Convolutional Neural Networks
  type: article-journal
  URL: http://arxiv.org/abs/1705.08664

- id: GottwaldSupervised2020
  accessed:
    - year: 2020
      month: 9
      day: 11
  author:
    - family: Gottwald
      given: Georg A.
    - family: Reich
      given: Sebastian
  citation-key: GottwaldSupervised2020
  container-title: arXiv:2007.07383 [physics, stat]
  issued:
    - year: 2020
      month: 7
      day: 14
  title: >-
    Supervised learning from noisy observations: Combining machine-learning
    techniques with data assimilation
  type: article-journal
  URL: http://arxiv.org/abs/2007.07383

- id: GribonvalCompressive2017
  accessed:
    - year: 2017
      month: 7
      day: 23
  author:
    - family: Gribonval
      given: Rémi
    - family: Blanchard
      given: Gilles
    - family: Keriven
      given: Nicolas
    - family: Traonmilin
      given: Yann
  citation-key: GribonvalCompressive2017
  container-title: arXiv:1706.07180 [cs, math, stat]
  issued:
    - year: 2017
      month: 6
      day: 22
  title: Compressive Statistical Learning with Random Feature Moments
  type: article-journal
  URL: http://arxiv.org/abs/1706.07180

- id: GuptaSolution2016
  author:
    - family: Gupta
      given: Pawan
    - family: Pensky
      given: Marianna
  citation-key: GuptaSolution2016
  container-title: arXiv:1605.07913 [math, stat]
  issued:
    - year: 2016
      month: 5
      day: 25
  title: Solution of linear ill-posed problems using random dictionaries
  type: article-journal
  URL: http://arxiv.org/abs/1605.07913

- id: HeinzeDUALLOCO2016
  author:
    - family: Heinze
      given: Christina
    - family: McWilliams
      given: Brian
    - family: Meinshausen
      given: Nicolai
  citation-key: HeinzeDUALLOCO2016
  event-title: >-
    Proceedings of the 19th International Conference on Artificial Intelligence
    and Statistics
  issued:
    - year: 2016
  page: 875-883
  title: 'DUAL-LOCO: Distributing Statistical Estimation Using Random Projections'
  type: paper-conference
  URL: http://www.jmlr.org/proceedings/papers/v51/heinze16.html

- id: HeinzeLOCO2014
  author:
    - family: Heinze
      given: Christina
    - family: McWilliams
      given: Brian
    - family: Meinshausen
      given: Nicolai
    - family: Krummenacher
      given: Gabriel
  citation-key: HeinzeLOCO2014
  container-title: arXiv:1406.3469 [stat]
  issued:
    - year: 2014
      month: 6
      day: 13
  title: 'LOCO: Distributing Ridge Regression with Random Projections'
  type: article-journal
  URL: http://arxiv.org/abs/1406.3469

- id: KrummenacherScalable2016
  author:
    - family: Krummenacher
      given: Gabriel
    - family: McWilliams
      given: Brian
    - family: Kilcher
      given: Yannic
    - family: Buhmann
      given: Joachim M
    - family: Meinshausen
      given: Nicolai
  citation-key: KrummenacherScalable2016
  container-title: Advances in Neural Information Processing Systems 29
  editor:
    - family: Lee
      given: D. D.
    - family: Sugiyama
      given: M.
    - family: Luxburg
      given: U. V.
    - family: Guyon
      given: I.
    - family: Garnett
      given: R.
  issued:
    - year: 2016
  page: 1750–1758
  publisher: Curran Associates, Inc.
  title: Scalable Adaptive Stochastic Optimization Using Random Projections
  type: paper-conference
  URL: >-
    http://papers.nips.cc/paper/6054-scalable-adaptive-stochastic-optimization-using-random-projections.pdf

- id: MahoneyRandomized2010
  accessed:
    - year: 2016
      month: 6
      day: 20
  author:
    - family: Mahoney
      given: Michael W.
  citation-key: MahoneyRandomized2010
  DOI: 10.1561/2200000035
  issued:
    - year: 2010
  language: en
  title: Randomized Algorithms for Matrices and Data
  type: book
  URL: http://arxiv.org/abs/1104.5557
  volume: '3'

- id: McWilliamsCorrelated2013
  author:
    - family: McWilliams
      given: Brian
    - family: Balduzzi
      given: David
    - family: Buhmann
      given: Joachim M
  citation-key: McWilliamsCorrelated2013
  container-title: Advances in Neural Information Processing Systems 26
  editor:
    - family: Burges
      given: C. J. C.
    - family: Bottou
      given: L.
    - family: Welling
      given: M.
    - family: Ghahramani
      given: Z.
    - family: Weinberger
      given: K. Q.
  issued:
    - year: 2013
  page: 440–448
  publisher: Curran Associates, Inc.
  title: Correlated random features for fast semi-supervised learning
  type: paper-conference
  URL: >-
    http://papers.nips.cc/paper/5000-correlated-random-features-for-fast-semi-supervised-learning.pdf
  volume: '1050'

- id: McWilliamsFast2014
  author:
    - family: McWilliams
      given: Brian
    - family: Krummenacher
      given: Gabriel
    - family: Lucic
      given: Mario
    - family: Buhmann
      given: Joachim M.
  citation-key: McWilliamsFast2014
  container-title: Advances in Neural Information Processing Systems
  issued:
    - year: 2014
  page: 415–423
  title: Fast and robust least squares estimation in corrupted linear models
  type: paper-conference
  URL: >-
    http://papers.nips.cc/paper/5428-fast-and-robust-least-squares-estimation-in-corrupted-linear-models

- id: RahimiRandom2007
  accessed:
    - year: 2014
      month: 8
      day: 20
  author:
    - family: Rahimi
      given: Ali
    - family: Recht
      given: Benjamin
  citation-key: RahimiRandom2007
  container-title: Advances in neural information processing systems
  issued:
    - year: 2007
  page: 1177–1184
  publisher: Curran Associates, Inc.
  title: Random features for large-scale kernel machines
  type: paper-conference
  URL: >-
    http://papers.nips.cc/paper/3182-random-features-for-large-scale-kernel-machines

- id: RahimiUniform2008
  author:
    - family: Rahimi
      given: Ali
    - family: Recht
      given: Benjamin
  citation-key: RahimiUniform2008
  container-title: >-
    2008 46th Annual Allerton Conference on Communication, Control, and
    Computing
  DOI: 10.1109/ALLERTON.2008.4797607
  event-title: >-
    2008 46th Annual Allerton Conference on Communication, Control, and
    Computing
  issued:
    - year: 2008
      month: 9
  page: 555-561
  title: Uniform approximation of functions with random bases
  type: paper-conference

- id: RosenfeldIntriguing2018
  author:
    - family: Rosenfeld
      given: Amir
    - family: Tsotsos
      given: John K.
  citation-key: RosenfeldIntriguing2018
  issued:
    - year: 2018
  title: >-
    Intriguing Properties of Randomly Weighted Networks: Generalizing while
    Learning Next to Nothing
  type: article-journal

- id: ScardapaneRandomness2017
  author:
    - family: Scardapane
      given: Simone
    - family: Wang
      given: Dianhui
  citation-key: ScardapaneRandomness2017
  container-title: 'Wiley Interdisciplinary Reviews: Data Mining and Knowledge Discovery'
  DOI: 10.1002/widm.1200
  ISSN: 1942-4795
  issue: '2'
  issued:
    - year: 2017
      month: 3
      day: 1
  language: en
  title: 'Randomness in neural networks: an overview'
  type: article-journal
  URL: >-
    https://www.researchgate.net/publication/312057617_Randomness_in_Neural_Networks_An_Overview
  volume: '7'

- id: SinhaLearning2016
  accessed:
    - year: 2016
      month: 12
      day: 7
  author:
    - family: Sinha
      given: Aman
    - family: Duchi
      given: John C
  citation-key: SinhaLearning2016
  container-title: Advances in Neural Information Processing Systems 29
  editor:
    - family: Lee
      given: D. D.
    - family: Sugiyama
      given: M.
    - family: Luxburg
      given: U. V.
    - family: Guyon
      given: I.
    - family: Garnett
      given: R.
  issued:
    - year: 2016
  page: 1298–1306
  publisher: Curran Associates, Inc.
  title: Learning Kernels with Random Features
  type: paper-conference
  URL: http://papers.nips.cc/paper/6180-learning-kernels-with-random-features.pdf

- id: SoniRIPML2017
  author:
    - family: Soni
      given: Akshay
    - family: Mehdad
      given: Yashar
  citation-key: SoniRIPML2017
  container-title: arXiv:1702.05181 [cs, stat]
  issued:
    - year: 2017
      month: 2
      day: 16
  title: 'RIPML: A Restricted Isometry Property based Approach to Multilabel Learning'
  type: article-journal
  URL: http://arxiv.org/abs/1702.05181

- id: ThaneiRandom2017
  author:
    - family: Thanei
      given: Gian-Andrea
    - family: Heinze
      given: Christina
    - family: Meinshausen
      given: Nicolai
  citation-key: ThaneiRandom2017
  container-title: arXiv:1701.05325 [math, stat]
  issued:
    - year: 2017
      month: 1
      day: 19
  title: Random Projections For Large-Scale Regression
  type: article-journal
  URL: http://arxiv.org/abs/1701.05325

- id: WangOptimal2017
  author:
    - family: Wang
      given: HaiYing
    - family: Zhu
      given: Rong
    - family: Ma
      given: Ping
  citation-key: WangOptimal2017
  container-title: arXiv:1702.01166 [stat]
  issued:
    - year: 2017
      month: 2
      day: 3
  title: Optimal Subsampling for Large Sample Logistic Regression
  type: article-journal
  URL: http://arxiv.org/abs/1702.01166

- id: ZhangStochastic2017
  author:
    - family: Zhang
      given: Xiao
    - family: Wang
      given: Lingxiao
    - family: Gu
      given: Quanquan
  citation-key: ZhangStochastic2017
  container-title: arXiv:1701.00481 [stat]
  issued:
    - year: 2017
      month: 1
      day: 2
  title: >-
    Stochastic Variance-reduced Gradient Descent for Low-rank Matrix Recovery
    from Linear Measurements
  type: article-journal
  URL: http://arxiv.org/abs/1701.00481
...
